> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Journal Entry

> **Scopes:** `journal_entry:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/journal-entries/{journal_entry_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/journal-entries/{journal_entry_id}:
    get:
      tags:
        - Journal Entry
      summary: Retrieve a Journal Entry
      description: '**Scopes:** `journal_entry:read`'
      operationId: >-
        get_journal_entry_v0_business__business_id__journal_entries__journal_entry_id__get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: journal_entry_id
          in: path
          required: true
          schema:
            description: The id of the journal entry
            examples:
              - je_R2fAXCjqJPdpYata112zyW
            type: string
            format: je_string
            title: Journal Entry Id
          description: The id of the journal entry
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalEntrySuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - journal_entry:read
components:
  schemas:
    JournalEntrySuccess:
      properties:
        data:
          $ref: '#/components/schemas/JournalEntryPublic'
      type: object
      required:
        - data
      title: JournalEntrySuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    JournalEntryPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business that is associated with the Journal Entry
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          type: string
          maxLength: 512
          title: Description
          description: The description of the Journal Entry
          examples:
            - HomeDepot purchase
        clean_description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Clean Description
          description: A more human-readable version of the description
          examples:
            - HomeDepot purchase
        datetime:
          type: string
          format: date-time
          title: Datetime
          description: The datetime the journal entry was created in UTC ISO-8601 format
          examples:
            - '2023-11-07T05:31:56Z'
        is_reconciled:
          type: boolean
          title: Is Reconciled
          description: Whether the journal entry is reconciled
        review_status:
          $ref: '#/components/schemas/JournalEntryReviewStatus'
          description: The review status of the journal entry
        basis:
          $ref: '#/components/schemas/JournalEntryBasis'
          description: The accounting basis of the journal entry
        id:
          type: string
          format: je_string
          title: Id
          description: The ID of the Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Journal Entry was
            created from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        line_entries:
          items:
            $ref: '#/components/schemas/LineEntryPublic'
          type: array
          title: Line Entries
          description: The Line Entries for this Journal Entry
        categorization_method:
          anyOf:
            - $ref: '#/components/schemas/CategorizationMethod'
            - type: 'null'
          description: The method used to categorize the Journal Entry
          examples:
            - manual
        invoice_id:
          anyOf:
            - type: string
              format: inv_string
            - type: 'null'
          title: Invoice Id
          description: The ID of the associated Invoice
          examples:
            - inv_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - description
        - clean_description
        - datetime
        - is_reconciled
        - review_status
        - basis
        - id
        - transaction_id
        - line_entries
        - categorization_method
        - invoice_id
      title: JournalEntryPublic
    JournalEntryReviewStatus:
      type: string
      enum:
        - bookkeeper_pending
        - business_pending
        - confirmed
      title: JournalEntryReviewStatus
    JournalEntryBasis:
      type: string
      enum:
        - both
        - accrual
        - cash
      title: JournalEntryBasis
    LineEntryPublic:
      properties:
        ledger_id:
          type: string
          format: ldg_string
          title: Ledger Id
          description: The ID of the Ledger associated with the Line Entry
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        description:
          type: string
          maxLength: 512
          title: Description
          description: The line entry description
          examples:
            - HomeDepot purchase
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates whether this is a debit or credit line
          examples:
            - debit
        amount:
          type: number
          title: Amount
          description: >-
            The line amount in decimal dollar cents, and it must always be
            positive
          examples:
            - '89.23'
        id:
          type: string
          format: le_string
          title: Id
          description: The ID of the Line Entry
          examples:
            - le_GA6EG2qFxA97NZHtxeLPUy
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the parent Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Line Entry was created
            from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        tag_value_ids:
          items:
            type: string
            format: tv_string
          type: array
          title: Tag Value Ids
          description: >-
            [Deprecated] The IDs of the tag values associated with the Line
            Entry. This field is still supported, but it will be removed in a
            future version of the API. Please use Journal Entry Tags instead.
          examples:
            - - tv_Ns6rRRLYVZPh4cVB7MDby5
      type: object
      required:
        - ledger_id
        - description
        - debit_credit
        - amount
        - id
        - journal_entry_id
      title: LineEntryPublic
    CategorizationMethod:
      type: string
      enum:
        - refund
        - transfer
        - similarity
        - plaid
        - ai
        - ar
        - ap
        - tenant_rule
        - business_rule
        - uncategorized
        - manual
        - agent
      title: CategorizationMethod
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````